# WaveModulusRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class WaveModulusRequirement

#### Hierarchy (View Summary)

- EncounterSceneRequirement
  - WaveModulusRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:239

##### Index

### Constructors

constructor

### Properties

modulusValue
waveModuli

### Methods

getDialogueToken
meetsRequirement

## Constructors

### constructor

- new WaveModulusRequirement(
  waveModuli: number[],
  modulusValue: number,
  ): WaveModulusRequirement

  Used for specifying a modulus requirement on the wave index For example, can be used to require the wave index to end with 1, 2, or 3

  #### Parameters

  - waveModuli: number[]

    The allowed modulus results

  - modulusValue: number

    The modulus calculation value

    Example: new WaveModulusRequirement([1, 2, 3], 10) will check for 1st/2nd/3rd waves that are immediately after a multiple of 10 wave So waves 21, 32, 53 all return true. 58, 14, 99 return false.

  #### Returns WaveModulusRequirement

  Overrides EncounterSceneRequirement.constructor

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:253

## Properties

### modulusValue

modulusValue: number

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:241

### waveModuli

waveModuli: number[]

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:240

## Methods

### getDialogueToken

- getDialogueToken(_pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional`_pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterSceneRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:263

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterSceneRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterSceneRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:259